diff --git a/changelog b/changelog
index 297e140..eff0ef8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141116 tpd src/axiom-website/patches.html 20141116.03.tpd.patch
+20141116 tpd src/input/Makefile remove gonshor.input
 20141116 tpd src/axiom-website/patches.html 20141116.02.tpd.patch
 20141116 tpd books/bookvol10.3 help for AlgebraGivenByStructuralConstants
 20141116 tpd src/axiom-website/patches.html 20141116.01.tpd.patch
diff --git a/patch b/patch
index d30d487..150182f 100644
--- a/patch
+++ b/patch
@@ -1,6 +1,6 @@
-books/bookvol10.3 help file for AlgebraGivenByStructuralConstants (ALGSC)
+src/input/Makefile remove gonshor.input
+
+gonshor.input has been merged with AlgebraGivenByStructuralConstants (ALGSC)
 
-AlgebraGivenByStructuralConstants (ALGSC) help file
-coerce from ALGSC help file
 
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f301dbe..5fc0c70 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4704,6 +4704,8 @@ books/bookvol5 inline object structures using macros<br/>
 books/bookvol10.3 prototype man-page style help for functions<br/>
 <a href="patches/20141116.02.tpd.patch">20141116.02.tpd.patch</a>
 books/bookvol10.3 help file for AlgebraGivenByStructuralConstants<br/>
+<a href="patches/20141116.03.tpd.patch">20141116.03.tpd.patch</a>
+src/input/Makefile remove gonshor.input
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 72a999e..435c5e2 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -344,7 +344,7 @@ REGRESSTESTS= ackermann.regress \
     fr2.regress       frac.regress     fr.regress       free.regress \
     function.regress  functioncode.regress \
     galois.regress    gamma.regress \
-    gbf.regress       genups.regress   gonshor.regress  graphviz.regress \
+    gbf.regress       genups.regress   graphviz.regress \
     groeb.regress     grpthry.regress \
     gstbl.regress     guess.regress \
     heap.regress      heat.regress     help.regress \
@@ -766,7 +766,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/fr.input       ${OUT}/frame.input \
        ${OUT}/fr1.input      ${OUT}/gary1.input \
        ${OUT}/gbf.input      ${OUT}/genups.input     ${OUT}/gnarly1.input \
-       ${OUT}/gonshor.input  ${OUT}/graphviz.input   ${OUT}/grdef.input    \
+       ${OUT}/graphviz.input   ${OUT}/grdef.input    \
        ${OUT}/gstbl.input    ${OUT}/guess.input \
        ${OUT}/heap.input     ${OUT}/heat.input       ${OUT}/helix.input \
        ${OUT}/herm.input     ${OUT}/heugcd.input \
@@ -1183,7 +1183,7 @@ DOCFILES= \
   ${DOC}/gamma.input.dvi \
   ${DOC}/gary1.input.dvi       ${DOC}/gbf.input.dvi        \
   ${DOC}/genups.input.dvi      ${DOC}/gnarly1.input.dvi    \
-  ${DOC}/gonshor.input.dvi     ${DOC}/graphics.input.dvi   \
+  ${DOC}/graphics.input.dvi   \
   ${DOC}/graphviz.input.dvi    \
   ${DOC}/grdef.input.dvi       ${DOC}/groeb.input.dvi      \
   ${DOC}/grpthry.input.dvi    \
diff --git a/src/input/gonshor.input.pamphlet b/src/input/gonshor.input.pamphlet
deleted file mode 100644
index f851a52..0000000
--- a/src/input/gonshor.input.pamphlet
+++ /dev/null
@@ -1,1065 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input gonshor.input}
-\author{Timothy Daly}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1991.
-\end{chunk}
-\begin{chunk}{*}
-)set break resume
-)spool gonshor.output
-)set message test on
-)set message auto off
-)clear all
- 
-\end{chunk}
-\section{Some examples of algebras in genetics}
-Literature:
-[WB] A. Woerz-Busekros: Algebras in Genetics, LNB 36,
-Springer-Verlag, Berlin etc. 1980.
-
-\subsection{Commutative, non-associative algebras}
-A Gonshor genetic algebra ([WB], p. 41-42) of dimension 4:
-
-The coefficient ring:
-\begin{chunk}{*}
---S 1 of 98
-R := FRAC POLY INT
---R 
---R
---R   (1)  Fraction(Polynomial(Integer))
---R                                                                 Type: Domain
---E 1
-
-\end{chunk}
-The following multiplication constants may be chosen arbitrarily
-(notice that we write ckij for $c_(i,j)^k$):
-\begin{chunk}{*}
---S 2 of 98
-(c100, c101, _
-c200, c201, c202, c211, _
-c300, c301, c302, c303, c311, c312, c322) : R
---R 
---R                                                                   Type: Void
---E 2
-
---S 3 of 98
-c100 :=  1 ;     c101 := -1 ;
---R 
---R
---R                                          Type: Fraction(Polynomial(Integer))
---E 3
-
---S 4 of 98
-c200 :=  0 ;     c201 :=  1 ;     c202 := -1 ;
-                 c211 :=  2 ;
---R 
---R
---R                                          Type: Fraction(Polynomial(Integer))
---E 4
-
---S 5 of 98
-c300 :=  1 ;     c301 :=  0 ;     c302 := -1 ;     c303 :=  1 ;
-                 c311 :=  1 ;     c312 :=  0 ;
-                                  c322 :=  2 ;
---R 
---R
---R                                          Type: Fraction(Polynomial(Integer))
---E 5
-
-\end{chunk}
-The matrices of the multiplication constants:
-\begin{chunk}{*}
---S 6 of 98
-gonshor : List SquareMatrix(4,R) :=
-  [matrix [ [1, 0, 0, 0], [0, 0, 0, 0],_
-            [0, 0, 0, 0], [0, 0, 0, 0] ],_
-   matrix [ [c100, c101, 0, 0], [c101, 0, 0, 0],_
-            [0, 0, 0, 0], [0, 0, 0, 0] ],_
-   matrix [ [c200, c201, c202, 0], [c201, c211, 0, 0],_
-            [c202, 0, 0, 0], [0, 0, 0, 0] ],_
-   matrix [ [c300, c301, c302, c303], [c301, c311, c312, 0],_
-            [c302, c312, c322, 0], [c303, 0, 0, 0] ] ] ;
---R 
---R
---R                    Type: List(SquareMatrix(4,Fraction(Polynomial(Integer))))
---E 6
-
---S 7 of 98
-basisSymbols : List Symbol := [subscript(e,[i]) for i in 0..3]
---R 
---R
---R   (7)  [e ,e ,e ,e ]
---R          0  1  2  3
---R                                                           Type: List(Symbol)
---E 7
-
---S 8 of 98
-GonshorGenetic := ALGSC(R, 4, basisSymbols, gonshor)
---R 
---R
---R   (8)
---R  AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e
---R  1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---R                                                                 Type: Domain
---E 8
-
---S 9 of 98
-commutative?()$GonshorGenetic
---R 
---R   algebra is commutative
---R
---R   (9)  true
---R                                                                Type: Boolean
---E 9
-
---S 10 of 98
-associative?()$GonshorGenetic
---R 
---R   algebra is not associative
---R
---R   (10)  false
---R                                                                Type: Boolean
---E 10
-
-\end{chunk}
-The canonical basis:
-\begin{chunk}{*}
---S 11 of 98
-e0 : GonshorGenetic := [1, 0, 0, 0] :: Vector R ;
---R 
---R
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 11
-
---S 12 of 98
-e1 : GonshorGenetic := [0, 1, 0, 0] :: Vector R ;
---R 
---R
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 12
-
---S 13 of 98
-e2 : GonshorGenetic := [0, 0, 1, 0] :: Vector R ;
---R 
---R
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 13
-
---S 14 of 98
-e3 : GonshorGenetic := [0, 0, 0, 1] :: Vector R ;
---R 
---R
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 14
-
-\end{chunk}
-A generic element of the algebra:
-\begin{chunk}{*}
---S 15 of 98
-x  : GonshorGenetic := x0*e0 + x1*e1 + x2*e2 + x3*e3
---R 
---R
---R   (15)  x3 e  + x2 e  + x1 e  + x0 e
---R             3       2       1       0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 15
-
-\end{chunk}
-The matrix of the left multiplication with x :
-\begin{chunk}{*}
---S 16 of 98
-Lx := leftRegularRepresentation x
---R 
---R
---R         +x0  - x1 + x0  - x2 + x1  x3 - x2 + x0+
---R         |                                      |
---R         |0     - x0     2x1 + x0        x1     |
---R   (16)  |                                      |
---R         |0       0        - x0       2x2 - x0  |
---R         |                                      |
---R         +0       0          0           x0     +
---R                                  Type: Matrix(Fraction(Polynomial(Integer)))
---E 16
-
-\end{chunk}
-leftRegularRepresentationt 8 : GonshorGenetic -> R 
-be the weight homomorphism
-defined by 8(e0) := 1 and 8(ei) := 0 for i = 1,2,3 .
-The coefficients of the characteristic polynomial
-of Lx depend only on 8(x) = x0 :
-\begin{chunk}{*}
---S 17 of 98
-p := characteristicPolynomial(Lx,Y)
---R 
---R
---R           4     2  2    4
---R   (17)  x0  - 2Y x0  + Y
---R                                                    Type: Polynomial(Integer)
---E 17
-
-\end{chunk}
-The left minimal polynomial of x divides Y * p(Y) :
-\begin{chunk}{*}
---S 18 of 98
-leftMinimalPolynomial x
---R 
---R
---R          5      2 3     4
---R   (18)  ?  - 2x0 ?  + x0 ?
---R              Type: SparseUnivariatePolynomial(Fraction(Polynomial(Integer)))
---E 18
-
-)clear prop A a b c r s
- 
---S 19 of 98
-A := GonshorGenetic
---R 
---R
---R   (19)
---R  AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e
---R  1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---R                                                                 Type: Domain
---E 19
-
---S 20 of 98
-a := x
---R 
---R
---R   (20)  x3 e  + x2 e  + x1 e  + x0 e
---R             3       2       1       0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 20
-
---S 21 of 98
-b := (1/4)*e1 + (1/5)*e2 + (3/20)*e3 + (2/5)*e0
---R 
---R
---R          3      1      1      2
---R   (21)  -- e  + - e  + - e  + - e
---R         20  3   5  2   4  1   5  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 21
-
---S 22 of 98
-c := (1/3)*e1 + (1/7)*e2 + (8/21)*e3 + (1/7)*e0
---R 
---R
---R          8      1      1      1
---R   (22)  -- e  + - e  + - e  + - e
---R         21  3   7  2   3  1   7  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 22
-
---S 23 of 98
-r  : R := r
---R 
---R
---R   (23)  r
---R                                          Type: Fraction(Polynomial(Integer))
---E 23
-
---S 24 of 98
-s  : R := s
---R 
---R
---R   (24)  s
---R                                          Type: Fraction(Polynomial(Integer))
---E 24
-
---S 25 of 98
-b*c
---R 
---R
---R         2      1       47       2
---R   (25)  - e  + - e  - --- e  + -- e
---R         7  3   4  2   420  1   35  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 25
-
---S 26 of 98
-(b*c)*b
---R 
---R
---R          893       277       4       4
---R   (26)  ---- e  - ---- e  + -- e  + --- e
---R         8400  3   1400  2   75  1   175  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 26
-
---S 27 of 98
-b*(c*b)
---R 
---R
---R          893       277       4       4
---R   (27)  ---- e  - ---- e  + -- e  + --- e
---R         8400  3   1400  2   75  1   175  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 27
-
-\end{chunk}
-A: Algebra
-a,b,c : A
-r,s : R
-\begin{chunk}{*}
-
-)clear prop AP
---S 28 of 98
-AP := ALGPKG(R,A)
---R 
---R
---R   (28)
---R  AlgebraPackage(Fraction(Polynomial(Integer)),AlgebraGivenByStructuralConstant
---R  s(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MA
---R  TRIX,MATRIX]))
---R                                                                 Type: Domain
---E 28
-
---S 29 of 98
-r*a
---R 
---R
---R   (29)  r x3 e  + r x2 e  + r x1 e  + r x0 e
---R               3         2         1         0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 29
-
---S 30 of 98
-a*r
---R 
---R
---R   (30)  r x3 e  + r x2 e  + r x1 e  + r x0 e
---R               3         2         1         0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 30
-
---S 31 of 98
-a*b
---R 
---R
---R         8x3 + 5x1 + 7x0      - 8x2 + 18x1 + x0      - 8x1 + 3x0      2x0
---R   (31)  --------------- e  + ----------------- e  + ----------- e  + --- e
---R                20        3           20         2        20      1    5   0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 31
-
---S 32 of 98
-b*c
---R 
---R
---R         2      1       47       2
---R   (32)  - e  + - e  - --- e  + -- e
---R         7  3   4  2   420  1   35  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 32
-
---S 33 of 98
-12 * c
---R 
---R
---R         32      12            12
---R   (33)  -- e  + -- e  + 4e  + -- e
---R          7  3    7  2     1    7  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 32
-
---S 34 of 98
-(-3) * a
---R 
---R
---R   (34)  - 3x3 e  - 3x2 e  - 3x1 e  - 3x0 e
---R                3        2        1        0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 34
-
---S 35 of 98
-d  :=  a ** 12
---R 
---R
---R   (35)
---R             11        10  2         9  2        10         11           8  4
---R         12x0  x3 + 4x0  x2  + (144x0 x1  + 144x0  x1 - 68x0  )x2 + 248x0 x1
---R       + 
---R                9  3       10  2        11         12
---R         - 784x0 x1  - 86x0  x1  + 204x0  x1 - 24x0
---R    *
---R       e
---R        3
---R   + 
---R         11         10  2       11            11       12        12
---R     (4x0  x2 - 92x0  x1  + 28x0  x1)e  + (4x0  x1 - x0  )e  + x0  e
---R                                      2                    1        0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 35
-
---S 36 of 98
--d
---R 
---R
---R   (36)
---R               11        10  2           9  2        10         11
---R         - 12x0  x3 - 4x0  x2  + (- 144x0 x1  - 144x0  x1 + 68x0  )x2
---R       + 
---R                8  4        9  3       10  2        11         12
---R         - 248x0 x1  + 784x0 x1  + 86x0  x1  - 204x0  x1 + 24x0
---R    *
---R       e
---R        3
---R   + 
---R           11         10  2       11              11       12        12
---R     (- 4x0  x2 + 92x0  x1  - 28x0  x1)e  + (- 4x0  x1 + x0  )e  - x0  e
---R                                        2                      1        0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 36
-
---S 37 of 98
-a + b
---R 
---R
---R         20x3 + 3      5x2 + 1      4x1 + 1      5x0 + 2
---R   (37)  -------- e  + ------- e  + ------- e  + ------- e
---R            20     3      5     2      4     1      5     0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 37
-
---S 38 of 98
-d-c
---R 
---R
---R   (38)
---R                11         10  2          9  2         10           11
---R           252x0  x3 + 84x0  x2  + (3024x0 x1  + 3024x0  x1 - 1428x0  )x2
---R         + 
---R                 8  4          9  3         10  2         11          12
---R           5208x0 x1  - 16464x0 x1  - 1806x0  x1  + 4284x0  x1 - 504x0   - 8
---R      /
---R         21
---R    *
---R       e
---R        3
---R   + 
---R         11          10  2        11                11        12
---R     28x0  x2 - 644x0  x1  + 196x0  x1 - 1      12x0  x1 - 3x0   - 1
---R     ------------------------------------- e  + -------------------- e
---R                       7                    2             3           1
---R   + 
---R        12
---R     7x0   - 1
---R     --------- e
---R         7      0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 38
-
---S 39 of 98
-(a*(a*a) = leftPower(a,3)) :: Boolean
---R 
---R
---R   (39)  true
---R                                                                Type: Boolean
---E 39
-
---S 40 of 98
-(a ** 11 =  (a**8 * a**2) * a) :: Boolean
---R 
---R
---R   (40)  true
---R                                                                Type: Boolean
---E 40
-
---S 41 of 98
-(a ** 11 =  a**8 * (a**2 * a)) :: Boolean
---R 
---R
---R   (41)  false
---R                                                                Type: Boolean
---E 41
-
---S 42 of 98
-zero := 0$A
---R 
---R
---R   (42)  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 42
-
---S 43 of 98
-zero : A := 0
---R 
---R
---R   (43)  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 43
-
---S 44 of 98
-alternative?()$A
---R 
---R   algebra is not left alternative
---R
---R   (44)  false
---R                                                                Type: Boolean
---E 44
-
---S 45 of 98
-antiCommutative?()$A
---R 
---R   algebra is not anti-commutative
---R
---R   (45)  false
---R                                                                Type: Boolean
---E 45
-
---S 46 of 98
-associative?()$A
---R 
---R   algebra is not associative
---R
---R   (46)  false
---R                                                                Type: Boolean
---E 46
-
---S 47 of 98
-commutative?()$A
---R 
---R   algebra is commutative
---R
---R   (47)  true
---R                                                                Type: Boolean
---E 47
-
---S 48 of 98
-commutator(a,b)
---R 
---R
---R   (48)  0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 48
-
---S 49 of 98
-antiCommutator(a,b)
---R 
---R
---R         8x3 + 5x1 + 7x0      - 8x2 + 18x1 + x0      - 8x1 + 3x0      4x0
---R   (49)  --------------- e  + ----------------- e  + ----------- e  + --- e
---R                10        3           10         2        10      1    5   0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 49
-
---S 50 of 98
-associator(a,b,c)
---R 
---R
---R         - 21x2 + 6x1 + 7x0      12x2 - 30x1 + 58x0      12x1 - 28x0
---R   (50)  ------------------ e  + ------------------ e  + ----------- e
---R                 42          3           105         2       105      1
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 50
-
---S 51 of 98
-basis()$A
---R 
---R
---R   (51)  [e ,e ,e ,e ]
---R           0  1  2  3
---RType: Vector(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 51
-
---S 52 of 98
-n := rank()$A
---R 
---R
---R   (52)  4
---R                                                        Type: PositiveInteger
---E 52
-
---S 53 of 98
-v : Vector R := [i for i in 1..n]
---R 
---R
---R   (53)  [1,2,3,4]
---R                                  Type: Vector(Fraction(Polynomial(Integer)))
---E 53
-
---S 54 of 98
-g : A := represents  v
---R 
---R
---R   (54)  4e  + 3e  + 2e  + e
---R           3     2     1    0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 54
-
---S 55 of 98
-coordinates a
---R 
---R
---R   (55)  [x0,x1,x2,x3]
---R                                  Type: Vector(Fraction(Polynomial(Integer)))
---E 55
-
---S 56 of 98
-coordinates [a,b]
---R 
---R
---R         +x0  x1  x2  x3+
---R         |              |
---R   (56)  |2   1   1    3|
---R         |-   -   -   --|
---R         +5   4   5   20+
---R                                  Type: Matrix(Fraction(Polynomial(Integer)))
---E 56
-
---S 57 of 98
-a.3
---R 
---R
---R   (57)  x2
---R                                          Type: Fraction(Polynomial(Integer))
---E 57
-
---S 58 of 98
-flexible?()$A
---R 
---R   algebra is flexible
---R
---R   (58)  true
---R                                                                Type: Boolean
---E 58
-
---S 59 of 98
-leftAlternative?()$A
---R 
---R   algebra is not left alternative
---R
---R   (59)  false
---R                                                                Type: Boolean
---E 59
-
---S 60 of 98
-rightAlternative?()$A
---R 
---R   algebra is not right alternative
---R
---R   (60)  false
---R                                                                Type: Boolean
---E 60
-
---S 61 of 98
-sB := someBasis()$A
---R 
---R
---R   (61)  [e ,e ,e ,e ]
---R           0  1  2  3
---RType: Vector(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 61
-
---S 62 of 98
-zero? a
---R 
---R
---R   (62)  false
---R                                                                Type: Boolean
---E 62
-
---S 63 of 98
-associatorDependence()$A
---R 
---R
---R   (63)  [[1,1,1,0,0,0],[0,1,0,1,0,0],[1,0,0,0,1,0],[- 1,- 1,0,0,0,1]]
---R                            Type: List(Vector(Fraction(Polynomial(Integer))))
---E 63
-
-\end{chunk}
-ConditionsForIdempotents()\$A
-\begin{chunk}{*}
---S 64 of 98
-jacobiIdentity?()$A
---R 
---R   Jacobi identity does not hold
---R
---R   (64)  false
---R                                                                Type: Boolean
---E 64
-
---S 65 of 98
-jordanAlgebra?()$A
---R 
---R   algebra is commutative
---R   this is not a Jordan algebra
---R
---R   (65)  false
---R                                                                Type: Boolean
---E 65
-
---S 66 of 98
-jordanAdmissible?()$A
---R 
---R   algebra is not Jordan admissible
---R
---R   (66)  false
---R                                                                Type: Boolean
---E 66
-
---S 67 of 98
-lieAdmissible?()$A
---R 
---R   algebra is Lie admissible
---R
---R   (67)  true
---R                                                                Type: Boolean
---E 67
-
-\end{chunk}
-ConditionsForIdempotents 
-\begin{chunk}{*}
---S 68 of 98
-b2 := [reduce(+,[sB.i for i in 1..k]) for k in 1..n]
---R 
---R
---R   (68)  [e ,e  + e ,e  + e  + e ,e  + e  + e  + e ]
---R           0  1    0  2    1    0  3    2    1    0
---RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 68
-
---S 69 of 98
-coordinates  (a ,b2 :: Vector A)
---R 
---R
---R   (69)  [- x1 + x0,- x2 + x1,- x3 + x2,x3]
---R                                  Type: Vector(Fraction(Polynomial(Integer)))
---E 69
-
---S 70 of 98
-coordinates  ([a,b] ,bb := (b2 :: Vector A))
---R 
---R
---R         +- x1 + x0  - x2 + x1  - x3 + x2  x3+
---R         |                                   |
---R   (70)  |    3          1          1       3|
---R         |   --         --         --      --|
---R         +   20         20         20      20+
---R                                  Type: Matrix(Fraction(Polynomial(Integer)))
---E 70
-
---S 71 of 98
-leftMinimalPolynomial a
---R 
---R
---R          5      2 3     4
---R   (71)  ?  - 2x0 ?  + x0 ?
---R              Type: SparseUnivariatePolynomial(Fraction(Polynomial(Integer)))
---E 71
-
---S 72 of 98
-leftPower (a,10)
---R 
---R
---R   (72)
---R          9        8  2          7  2      8        9          8  2      10
---R     (10x0 x3 - 6x0 x2  + (- 32x0 x1  + 8x0 x1 + 2x0 )x2 + 13x0 x1  + 5x0  )e
---R                                                                             3
---R   + 
---R           9         8  2      9        10            9       10        10
---R     (- 2x0 x2 + 26x0 x1  + 6x0 x1 - 4x0  )e  + (- 2x0 x1 + x0  )e  + x0  e
---R                                            2                     1        0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 72
-
---S 73 of 98
-rightPower(a,10)
---R 
---R
---R   (73)
---R          9        8  2          7  2      8        9          8  2      10
---R     (10x0 x3 - 6x0 x2  + (- 32x0 x1  + 8x0 x1 + 2x0 )x2 + 13x0 x1  + 5x0  )e
---R                                                                             3
---R   + 
---R           9         8  2      9        10            9       10        10
---R     (- 2x0 x2 + 26x0 x1  + 6x0 x1 - 4x0  )e  + (- 2x0 x1 + x0  )e  + x0  e
---R                                            2                     1        0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 73
-
---S 74 of 98
-leftRegularRepresentation a
---R 
---R
---R         +x0  - x1 + x0  - x2 + x1  x3 - x2 + x0+
---R         |                                      |
---R         |0     - x0     2x1 + x0        x1     |
---R   (74)  |                                      |
---R         |0       0        - x0       2x2 - x0  |
---R         |                                      |
---R         +0       0          0           x0     +
---R                                  Type: Matrix(Fraction(Polynomial(Integer)))
---E 74
-
---S 75 of 98
-leftRegularRepresentation (a,bb)
---R 
---R
---R         +  x1     x2 - 2x1 + x0     - x3 + x1 - x0        x3 - x2 + x0   +
---R         |                                                                |
---R         |x1 + x0  x2 - 4x1 - x0       - x3 + 2x1        x3 - x2 + x1 + x0|
---R   (75)  |                                                                |
---R         |x1 + x0    x2 - 4x1       - x3 - 2x2 + 2x1       x3 + x2 + x1   |
---R         |                                                                |
---R         +x1 + x0    x2 - 4x1     - x3 - 2x2 + 2x1 - x0  x3 + x2 + x1 + x0+
---R                                  Type: Matrix(Fraction(Polynomial(Integer)))
---E 75
-
---S 76 of 98
-leftUnit()$A
---R 
---R   this algebra has no left unit
---R
---R   (76)  "failed"
---R                                                    Type: Union("failed",...)
---E 76
-
---S 77 of 98
-represents (v,bb)
---R 
---R
---R   (77)  4e  + 7e  + 9e  + 10e
---R           3     2     1      0
---RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
---E 77
-
---S 78 of 98
-rightMinimalPolynomial a
---R 
---R
---R          5      2 3     4
---R   (78)  ?  - 2x0 ?  + x0 ?
---R              Type: SparseUnivariatePolynomial(Fraction(Polynomial(Integer)))
---E 78
-
---S 79 of 98
-rightRegularRepresentation a
---R 
---R
---R         +x0  - x1 + x0  - x2 + x1  x3 - x2 + x0+
---R         |                                      |
---R         |0     - x0     2x1 + x0        x1     |
---R   (79)  |                                      |
---R         |0       0        - x0       2x2 - x0  |
---R         |                                      |
---R         +0       0          0           x0     +
---R                                  Type: Matrix(Fraction(Polynomial(Integer)))
---E 79
-
---S 80 of 98
-rightRegularRepresentation (a,bb)
---R 
---R
---R         +  x1     x2 - 2x1 + x0     - x3 + x1 - x0        x3 - x2 + x0   +
---R         |                                                                |
---R         |x1 + x0  x2 - 4x1 - x0       - x3 + 2x1        x3 - x2 + x1 + x0|
---R   (80)  |                                                                |
---R         |x1 + x0    x2 - 4x1       - x3 - 2x2 + 2x1       x3 + x2 + x1   |
---R         |                                                                |
---R         +x1 + x0    x2 - 4x1     - x3 - 2x2 + 2x1 - x0  x3 + x2 + x1 + x0+
---R                                  Type: Matrix(Fraction(Polynomial(Integer)))
---E 80
-
---S 81 of 98
-rightUnit()$A
---R 
---R   this algebra has no right unit
---R
---R   (81)  "failed"
---R                                                    Type: Union("failed",...)
---E 81
-
---S 82 of 98
-structuralConstants()$A
---R 
---R
---R          +1  0  0  0+ + 1   - 1  0  0+ + 0   1  - 1  0+ + 1   0  - 1  1+
---R          |          | |              | |              | |              |
---R          |0  0  0  0| |- 1   0   0  0| | 1   2   0   0| | 0   1   0   0|
---R   (82)  [|          |,|              |,|              |,|              |]
---R          |0  0  0  0| | 0    0   0  0| |- 1  0   0   0| |- 1  0   2   0|
---R          |          | |              | |              | |              |
---R          +0  0  0  0+ + 0    0   0  0+ + 0   0   0   0+ + 1   0   0   0+
---R                          Type: Vector(Matrix(Fraction(Polynomial(Integer))))
---E 82
-
---S 83 of 98
-structuralConstants(bb)
---R 
---R
---R          +0  1  1  1+ + 1   - 1   0    0 + +- 1  0   0   - 1+ +1  1  0  1+
---R          |          | |                  | |                | |          |
---R          |1  2  2  2| |- 1  - 5  - 4  - 4| | 0   2   2    1 | |1  2  1  2|
---R   (83)  [|          |,|                  |,|                |,|          |]
---R          |1  2  2  2| | 0   - 4  - 3  - 3| | 0   2   0   - 1| |0  1  2  3|
---R          |          | |                  | |                | |          |
---R          +1  2  2  2+ + 0   - 4  - 3  - 3+ +- 1  1  - 1  - 2+ +1  2  3  4+
---R                          Type: Vector(Matrix(Fraction(Polynomial(Integer))))
---E 83
-
---S 84 of 98
-unit()$A
---R 
---R   this algebra has no unit
---R
---R   (84)  "failed"
---R                                                    Type: Union("failed",...)
---E 84
-
---S 85 of 98
-biRank  a
---R 
---R
---R   (85)  4
---R                                                        Type: PositiveInteger
---E 85
-
---S 86 of 98
-leftRank a
---R 
---R
---R   (86)  4
---R                                                        Type: PositiveInteger
---E 86
-
---S 87 of 98
-doubleRank a
---R 
---R
---R   (87)  4
---R                                                        Type: PositiveInteger
---E 87
-
---S 88 of 98
-rightRank a
---R 
---R
---R   (88)  4
---R                                                        Type: PositiveInteger
---E 88
-
---S 89 of 98
-weakBiRank a
---R 
---R
---R   (89)  4
---R                                                        Type: PositiveInteger
---E 89
-
---S 90 of 98
-basisOfCenter()$AP
---R 
---R
---R   (90)  [e ]
---R           3
---RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 90
-
---S 91 of 98
-basisOfLeftNucleus()$AP
---R 
---R
---R   (91)  [e ]
---R           3
---RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 91
-
---S 92 of 98
-basisOfNucleus()$AP
---R 
---R
---R   (92)  [e ]
---R           3
---RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 92
-
---S 93 of 98
-basisOfRightNucleus()$AP
---R 
---R
---R   (93)  [e ]
---R           3
---RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 93
-
---S 94 of 98
-basisOfCentroid()$AP
---R 
---R
---R          +0  0  0  0+ +1  0  0  0+
---R          |          | |          |
---R          |0  0  0  0| |0  1  0  0|
---R   (94)  [|          |,|          |]
---R          |0  0  0  0| |0  0  1  0|
---R          |          | |          |
---R          +1  0  0  0+ +0  0  0  1+
---R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
---E 94
-
---S 95 of 98
-basisOfCommutingElements()$AP
---R 
---R
---R   (95)  [e ,e ,e ,e ]
---R           3  2  1  0
---RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 95
-
---S 96 of 98
-basisOfLeftNucloid()$AP
---R 
---R
---R          +0  0  0  0+ +1  0  0  0+
---R          |          | |          |
---R          |0  0  0  0| |0  1  0  0|
---R   (96)  [|          |,|          |]
---R          |0  0  0  0| |0  0  1  0|
---R          |          | |          |
---R          +1  0  0  0+ +0  0  0  1+
---R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
---E 96
-
---S 97 of 98
-basisOfMiddleNucleus()$AP
---R 
---R
---R   (97)  [e ]
---R           3
---RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
---E 97
-
---S 98 of 98
-basisOfRightNucloid()$AP
---R 
---R
---R          +0  0  0  0+ +1  0  0  0+
---R          |          | |          |
---R          |0  0  0  0| |0  1  0  0|
---R   (98)  [|          |,|          |]
---R          |0  0  0  0| |0  0  1  0|
---R          |          | |          |
---R          +1  0  0  0+ +0  0  0  1+
---R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
---E 98
-)spool 
-)lisp (bye)
- 
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
-
- 
